net.corda.client.model

## Class TransactionDataModel

- net.corda.client.model.TransactionDataModel

-     public class TransactionDataModel

  This model provides an observable list of transactions and what state machines/flows recorded them

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionDataModel()` This model provides an observable list of transactions and what state machines/flows recorded them

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javafx.collections.ObservableList<net.corda.client.model.PartiallyResolvedTransaction>` | `getPartiallyResolvedTransactions()`

- - ### Constructor Detail

    - #### TransactionDataModel

          public TransactionDataModel()

      This model provides an observable list of transactions and what state machines/flows recorded them

  - ### Method Detail

    - #### getPartiallyResolvedTransactions

          public javafx.collections.ObservableList<net.corda.client.model.PartiallyResolvedTransaction> getPartiallyResolvedTransactions()